BITE-BUGZILLA-GET(1)

NAME
bite-bugzilla-get - get bugs

SYNOPSIS

bite bugzilla <get|g> [<options>] <ids>
    Get bugs.

bite bugzilla <get|g> [-h|--help]
    Output help information.

DESCRIPTION

The get command fetches and outputs data related to the specified bugs. In addition to bug fields this includes the attachments, comments, and changes of the bug. See the options below to alter the output by skipping data types.

Note that this command isn’t meant for returning individual field values, instead use the search command similar to the following:

Output bug 10’s summary:

    bite bugzilla search --id 10 -f summary -s @all

GLOBAL OPTIONS

-v, --verbose
    Increase logging verbosity.

    Verbosity levels in increasing order are error, warning, info, debug, and trace. The default level is warning causing errors and warnings to be shown. Each -v/--verbose option specified increases the level up to the maximum so bite -vv ... runs the given subcommand at the debug level.

        Warning

        Running at the trace level leaks authentication data as it outputs raw response structures including URLs which often include injected login parameters for authenticated sessions.

-q, --quiet
    Decrease logging verbosity.

-h, --help
    Print help output and exit.

GET OPTIONS

-A, --no-attachments
    Disable attachments.

-C, --no-comments
    Disable comments.

-H, --no-history
    Disable history.

-b, --browser
    Open in a browser.

    This uses $BROWSER to open URLs, falling back to xdg-open if undefined.

ARGUMENTS

<ids>
    IDs or aliases of bugs to fetch.

    Taken from standard input when -.

EXAMPLES

Get bug 123:

    bite bugzilla get 123

Get bug with alias test and only output field values:

    bite bugzilla get test -ACH

Get all bugs created in the last day:

    bite bugzilla search -c 1d -f id | bite bugzilla get -

Open all bugs created in the last hour in a browser:

    bite bugzilla search -c 1h -f id | bite bugzilla get -b -

SEE ALSO

bite-bugzilla(1)